Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.types
Class DoubleDatatype

    java.lang.Object
      org.fourthline.cling.model.types.AbstractDatatype<Double>
          org.fourthline.cling.model.types.DoubleDatatype

All Implemented Interfaces:
  Datatype<Double>

    public class DoubleDatatype

extends AbstractDatatype<Double>

Author:
  Christian Bauer

Nested Class Summary

Nested classes/interfaces inherited from interface org.fourthline.cling.model.types.Datatype
`Datatype.Builtin, Datatype.Default`

Constructor Summary
`DoubleDatatype()`

Method Summary
`boolean` | `isHandlingJavaType(Class type)`
`Double` | `valueOf(String s)` Transforms a string representation into a value of the supported type.

Methods inherited from class org.fourthline.cling.model.types.AbstractDatatype
`getBuiltin, getDisplayString, getString, getValueType, isValid, setBuiltin, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleDatatype

    public DoubleDatatype()

Method Detail

### isHandlingJavaType

    public boolean isHandlingJavaType(Class type)

  Specified by:
    `isHandlingJavaType` in interface `Datatype<Double>`
  Overrides:
    `isHandlingJavaType` in class `AbstractDatatype<Double>`
  Returns:
    `true` if this datatype can handle values of the given Java type.

### valueOf

    public Double valueOf(String s)
                   throws InvalidValueException

  Description copied from interface: `Datatype`
  Transforms a string representation into a value of the supported type.

  Specified by:
    `valueOf` in interface `Datatype<Double>`
  Overrides:
    `valueOf` in class `AbstractDatatype<Double>`
  Parameters:
    `s` - The string representation of a value.
  Returns:
    The converted value or `null` if the string was `null` or empty.
  Throws:
    `InvalidValueException` - If the string couldn't be parsed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.